Download Equifax Credit Report
Download the full Equifax credit report after user consent. Includes credit score, active loans, repayment history, and credit inquiries.
curl -X GET "https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report?transaction_id=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
-H "x-api-key: YOUR_API_KEY"
import requests
import json
url = "https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report?transaction_id=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report?transaction_id=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report?transaction_id=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://production.deepvue.tech/v2/financial-services/credit-bureau/credit-report/sdk/report?transaction_id=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
request['x-api-key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"code": 200,
"timestamp": 1751891783526,
"transaction_id": "2cfb994cc4a64e058d2660114d345663",
"sub_code": "SUCCESS",
"message": "Credit report fetched successfully.",
"data": {
"pan": null,
"mobile": "9971228137",
"name": "RAM SINGH BHANDARI",
"credit_score": "744",
"credit_report": {
"InquiryResponseHeader": {
"ClientID": "XXXXXXXXX",
"CustRefField": "123456",
"ReportOrderNO": "17074982",
"ProductCode": [
"IDCCR"
],
"SuccessCode": "1",
"Date": "2025-04-23",
"Time": "17:09:26"
},
"InquiryRequestInfo": {
"InquiryPurpose": "05",
"FirstName": "RAM SINGH BHANDARI",
"DOB": "1960-05-30",
"IDDetails": [
{
"IDType": "T",
"IDValue": "ARSPB2789E"
}
]
},
"CCRResponse": {
"Status": "1",
"CIRReportDataLst": [
{
"CIRReportData": {
"IDAndContactInfo": {
"PersonalInfo": {
"Name": {
"FullName": "RAM SINGH BHANDARI"
},
"DateOfBirth": "1960-05-30",
"Gender": "Male"
},
"IdentityInfo": {
"PANId": [
{
"IdNumber": "ARSPB2789E",
"ReportedDate": "2017-05-31"
}
]
},
"AddressInfo": [
{
"Address": "169 RAJEEV NAGAR, DEHRADUN",
"Postal": "249145"
}
]
},
"RetailAccountDetails": [
{
"AccountNumber": "XXXXXXXXXXXXX4846",
"Institution": "BANK",
"AccountType": "Personal Loan",
"Balance": "256239",
"SanctionAmount": "300000",
"DateOpened": "2017-02-06",
"AccountStatus": "Standard"
}
],
"RetailAccountsSummary": {
"NoOfAccounts": "2",
"NoOfActiveAccounts": "1",
"TotalBalanceAmount": "256239.00",
"TotalSanctionAmount": "300000.00"
},
"ScoreDetails": [
{
"Type": "ERS",
"Version": "4.0",
"Value": "703"
}
],
"Enquiries": [
{
"Institution": "BANK",
"Date": "2019-08-27",
"RequestPurpose": "00"
}
]
}
}
]
}
}
}
}
{
"code": 200,
"timestamp": 1751877768811,
"transaction_id": "e3c2a0130ab546f096e3810c72fb48f4",
"sub_code": "NO_CREDIT_REPORT_FOUND",
"message": "No Credit Report found",
"data": null
}
{
"detail": "Inactive client_id"
}
{
"detail": "Not authenticated"
}
{
"detail": "Not a valid token"
}
{
"detail": [
{
"loc": [
"query",
"transaction_id"
],
"msg": "transaction_id is a required field.",
"type": "value_error.missing"
}
]
}
{
"code": 500,
"timestamp": null,
"transaction_id": "string",
"sub_code": "string",
"message": "No record found"
}
{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Source Unavailable"
}
/v2/financial-services/credit-bureau/credit-report/sdk/report
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
The transaction ID for the credit report request.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
The transaction ID for the credit report request.
Responses
Overview
This API retrieves a credit report using a transaction_id obtained from a prior session initiation call. After establishing a session via the Initiate Session endpoint, you provide the transaction ID to retrieve the associated credit report data.
The response includes personal information, account details, credit scores, and inquiry history when a credit report is available. When no credit report exists for the provided transaction ID, the response indicates this status with a null data field.
You need an authorized access token to access any of the Platform APIs. One access token is valid for only 24 hours. After expiration, you can renew the token by using the Authorize endpoint to receive a fresh access token.
Last updated 4 weeks ago
Built with Documentation.AI